com.avaya.deskphoneservices.telecomService

## Class TelecomServiceUtils

- java.lang.Object
- - com.avaya.deskphoneservices.telecomService.TelecomServiceUtils

-     public class TelecomServiceUtils
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static android.telecom.PhoneAccountHandle` | `createPhoneAccountHandle(android.content.Context context, java.lang.String accountName)` Create a `PhoneAccountHandle` for the given parameter.
    `static java.lang.String` | `getAccountName()`
    `static void` | `registerNewPhoneAccount(android.content.Context context, java.lang.String accountName)` Create a new `PhoneAccount` and register it with the system.
    `static void` | `unregisterPhoneAccount(android.content.Context context, java.lang.String accountName)` Unregister `PhoneAccount` with the system.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createPhoneAccountHandle

          public static android.telecom.PhoneAccountHandle createPhoneAccountHandle(android.content.Context context,
                                                                                    java.lang.String accountName)

      Create a `PhoneAccountHandle` for the given parameter.
      Parameters:
        `context` - The context to use for the `ComponentName`.
        `accountName` - The name of the account. Normaly the SIP URI.
      Returns:
        The build `PhoneAccountHandle`.

    - #### registerNewPhoneAccount

          public static void registerNewPhoneAccount(android.content.Context context,
                                                     java.lang.String accountName)
                                              throws java.lang.SecurityException

      Create a new `PhoneAccount` and register it with the system.
      Parameters:
        `context` - The context to use for finding the services and resources.
        `accountName` - The name of the account to add - must be an international phonenumber.
      Throws:
        `java.lang.SecurityException`

    - #### unregisterPhoneAccount

          public static void unregisterPhoneAccount(android.content.Context context,
                                                    java.lang.String accountName)

      Unregister `PhoneAccount` with the system.
      Parameters:
        `context` - The context to use for finding the services and resources.
        `accountName` - The name of the account. Normaly the SIP URI.

    - #### getAccountName

          public static java.lang.String getAccountName()